VIEWIMG_PARTIAL_REFRESH(3)

EXPERIMENTAL_FUNC
viewimg_partial_refresh - Perform a partial refresh of a canvas.

SYNOPSIS
#include <karma_viewimg.h>

flag viewimg_partial_refresh

(KWorldCanvas canvas, unsigned int num_areas, KPixCanvasRefreshArea *areas)

DESCRIPTION
This routine will perform a partial refresh of a canvas. This call is similar to <<kwin_partial_refresh>> except that areas are not cleared prior to drawing if they lie within the image boundary.

canvas
    The world canvas.

num_areas
    The number of areas in the pixel canvas to refresh.

areas
    The list of areas to refresh. The values here are updated to ensure all points lie within the boundaries of the underlaying pixel canvas.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/